#!/usr/bin/env python
# -*- coding: utf-8 -*-
'''
    Take a bunch of updateinfo.xml files and merge them into one
    which is sent to STDOUT
'''
from updateinfo import Updateinfo

import sys

if __name__ == "__main__":
    import optparse
    import textwrap
    PARSER = optparse.OptionParser(description=textwrap.dedent(__doc__))

    (OPTIONS, ARGS) = PARSER.parse_args()

    if len(ARGS) < 2:
        PARSER.print_help()
        print >> sys.stderr, '\nProvide files\n'
        sys.exit(1)

    UPDATEINFO = Updateinfo()
    for THISFILE in ARGS:
        UPDATEINFO.merge_with_file(THISFILE)

    print unicode(UPDATEINFO)
